# Google Data APIs Client Library (1.43.0)

## com.google.gdata.data
Enum TextConstruct.RssFormat

    java.lang.Object
      java.lang.Enum<TextConstruct.RssFormat>
          com.google.gdata.data.TextConstruct.RssFormat

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<TextConstruct.RssFormat>

Enclosing class:
  TextConstruct

    public static enum TextConstruct.RssFormat

extends java.lang.Enum<TextConstruct.RssFormat>

Enumerates the kinds of restrictions on what HTML tags are allowed.

Enum Constant Summary
`FULL_HTML` All tags are allowed.
`PLAIN_TEXT` HTML/XHTML is converted to plain text.

Method Summary
`static TextConstruct.RssFormat` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static TextConstruct.RssFormat[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### PLAIN_TEXT

    public static final TextConstruct.RssFormat PLAIN_TEXT

  HTML/XHTML is converted to plain text.

### FULL_HTML

    public static final TextConstruct.RssFormat FULL_HTML

  All tags are allowed.

Method Detail

### values

    public static TextConstruct.RssFormat[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (TextConstruct.RssFormat c : TextConstruct.RssFormat.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static TextConstruct.RssFormat valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null